[**@rxap/forms v19.0.4-dev.0**](../README.md)

***

[@rxap/forms](../globals.md) / AsyncValidatorFn

# Type Alias: AsyncValidatorFn()\<T, E\>

> **AsyncValidatorFn**\<`T`, `E`\>: (`control`) => `Promise`\<[`ValidationErrors`](ValidationErrors.md)\<`E`\> \| `null`\> \| `Observable`\<[`ValidationErrors`](ValidationErrors.md)\<`E`\> \| `null`\>

Defined in: [packages/angular/forms/src/lib/types.ts:17](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/forms/src/lib/types.ts#L17)

## Type Parameters

• **T** = `any`

• **E** = `any`

## Parameters

### control

[`AbstractControl`](../interfaces/AbstractControl.md)\<`T`\>

## Returns

`Promise`\<[`ValidationErrors`](ValidationErrors.md)\<`E`\> \| `null`\> \| `Observable`\<[`ValidationErrors`](ValidationErrors.md)\<`E`\> \| `null`\>
